<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CustomRecordTypeManagers StructType
 * @subpackage Structs
 */
class CustomRecordTypeManagers extends AbstractStructBase
{
    /**
     * The managerEmp
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $managerEmp;
    /**
     * Constructor method for CustomRecordTypeManagers
     * @uses CustomRecordTypeManagers::setManagerEmp()
     * @param \StructType\RecordRef $managerEmp
     */
    public function __construct(\StructType\RecordRef $managerEmp = null)
    {
        $this
            ->setManagerEmp($managerEmp);
    }
    /**
     * Get managerEmp value
     * @return \StructType\RecordRef|null
     */
    public function getManagerEmp()
    {
        return $this->managerEmp;
    }
    /**
     * Set managerEmp value
     * @param \StructType\RecordRef $managerEmp
     * @return \StructType\CustomRecordTypeManagers
     */
    public function setManagerEmp(\StructType\RecordRef $managerEmp = null)
    {
        $this->managerEmp = $managerEmp;
        return $this;
    }
}
